[Pkg-ocaml-maint-commits] r921 - packages/advi/branches/split/debian/patches

Helge Kreutzmann kreutzm-guest@costa.debian.org
Mon, 24 Jan 2005 09:12:03 +0100


Author: kreutzm-guest
Date: 2005-01-24 09:12:03 +0100 (Mon, 24 Jan 2005)
New Revision: 921

Added:
   packages/advi/branches/split/debian/patches/neutralize_texinputs.dpatch
Log:
Avoid the usage of unusual local settings via TEXINPUTS


Added: packages/advi/branches/split/debian/patches/neutralize_texinputs.dpatch
===================================================================
--- packages/advi/branches/split/debian/patches/neutralize_texinputs.dpatch	2005-01-24 08:10:24 UTC (rev 920)
+++ packages/advi/branches/split/debian/patches/neutralize_texinputs.dpatch	2005-01-24 08:12:03 UTC (rev 921)
@@ -0,0 +1,41 @@
+#! /bin/sh -e
+## neutralize_texinputs.dpatch by <kreutzm@itp.uni-hannover.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: On my machine I had a compilation problem to to a set 
+## DP: TEXINPUTS. Should not happen on autobuilders/pbuild, but then
+## DP: $TEXINPUTS should be unset there. Does not harm, probably
+## DP: extend to all usages of TEXINPUTS?
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urN advi-1.6.0.orig/examples/prosper/LL/Makefile advi-1.6.0/examples/prosper/LL/Makefile
+--- advi-1.6.0.orig/examples/prosper/LL/Makefile	2004-08-31 08:34:25.000000000 +0200
++++ advi-1.6.0/examples/prosper/LL/Makefile	2005-01-01 17:09:03.000000000 +0100
+@@ -22,7 +22,8 @@
+ 
+ # To view the demos, use ../../../advi.opt file.dvi
+ 
+-TEXINPUTS := ..:../../lib:../../../tex:$(TEXINPUTS)
++#TEXINPUTS := ..:../../lib:../../../tex:$(TEXINPUTS)
++TEXINPUTS := ..:../../lib:../../../tex:
+ ADVI=../../../advi.opt
+ LATEX=TEXINPUTS=$(TEXINPUTS) latex 
+ 


Property changes on: packages/advi/branches/split/debian/patches/neutralize_texinputs.dpatch
___________________________________________________________________
Name: svn:executable
   + *